Skip to Content
kosemdocs
ReferenceAPIQuota infos

List quota infos in organization

Lists an organization's quotas, with their limits and usage. Its rate quotas report their limits, and each project's their usage.

GET
/v1/organizations/{organization}/quotaInfos

Lists an organization's quotas, with their limits and usage. Its rate quotas report their limits, and each project's their usage.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of quotas to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

quotaInfos*array<>

Quotas, ordered by their IDs.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/quotaInfos'
Example Response
{  "nextPageToken": "string",  "quotaInfos": [    {      "adjustment": "FIXED",      "displayName": "string",      "enforced": true,      "limit": 0,      "name": "string",      "overridden": true,      "planLimit": 0,      "quotaId": "string",      "refreshInterval": "string",      "resourceType": "string",      "usage": 0,      "usageUnavailable": true    }  ]}